package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealBindLongCertCustomSettingEditRequest struct {
	// <ext>core:true</ext> 【开启/关闭该功能】开启/关闭该功能 【传参】 取值范围：true（开启该功能），false（关闭该功能）。
	On *bool `json:"on"`
}

func (obj SealBindLongCertCustomSettingEditRequest) GetUrl() string {
	return "/seal/bind/long/cert/custom/setting/edit"
}

func (obj SealBindLongCertCustomSettingEditRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("on", obj.On)
	return parameter
}
